Subject: Re: [PATCH v11 10/12] selftests/landlock: Add 11 new test suites dedicated to network

From: "Günther Noack" <[email-masked]>
Date: Mon, 3 Jul 2023 11:36:48 +0200

On Mon, Jul 03, 2023 at 11:37:13AM +0300, Konstantin Meskhidze (A) wrote:
> 7/2/2023 11:45 AM, Mickaël Salaün пишет:
> > Initially Konstantin wrote tests with TEST_F_FORK() but I asked him to
> > only use TEST_F() because TEST_F_FORK() is only useful when a
> > FIXTURE_TEARDOWN() needs access rights that were dropped with a
> > TEST_F(), e.g. to unmount mount points set up with a FIXTURE_SETUP()
> > while Landlock restricted a test process.
> > 
> > Indeed, TEST_F() already fork() to make sure there is no side effect
> > with tests.
> > 
> 
>  Hi, Günther
>  Yep. Mickaёl asked me to replace TEST_F_FORK() with TEST_F(). Please check
> this thread
> 
> https://lore.kernel.org/netdev/[email-masked]/
> T

Ah thanks, this makes a lot of sense!
I had not realized that TEST_F would also fork a child process,
I should have double checked the selftest implementation.

—Günther

-- 
Sent using Mutt 🐕 Woof Woof